<?= $this->extend('admin/template/template') ?>

<?= $this->section('content') ?>
<div class="container">
    <div class="row content-justify-center m-5">
        <div class="col-md-10">
            <?php
            //informa o ambiente
            if(isset($ambiente)):
                echo 'Ambiente de atuação: ' . $ambiente['server'] . '<br>';
            endif;

            //imprime conteudo definido no controller Contabil.php
            echo $conteudo;

            // Cria botões [ b ]
            echo '<hr>';

            // Se passou referencia
            if(($referencia!=NULL)&&($con_ref==NULL)):
                // [ b ] Voltar ao contabil
                echo anchor('contabil/consultar/'.$referencia, 'Ver NFs-e', 'class="btn btn-info m-2"');
            endif;

            // Se NFs-e já criada
            if($id_fatura!=NULL):
                // [ b ] Voltar no pedido
                echo anchor('fatura/edita/'.$id_fatura, 'Ver Pedido', 'class="btn btn-info m-2"');

                // [ b ] Reencaminhar confirmação NFs-e
                echo anchor('contabil/enviaremail/'.$con_ref, 'Re-enviar NFs-e por email', 'class="btn btn-info m-2"');

                // [ b ] Cancelar NFs-e
                echo anchor('contabil/cancelar/'.$con_ref.'/Cancelamento de nota.','Cancelar NFs-e','class="btn btn-danger m-2 btn-confirma-excluir"');

            endif;
            ?>
        </div>
    </div>
</div>
<?= $this->endSection() ?>


<?= $this->section('js') ?>
<script>
// confirma excluir item clicado
$('.btn-confirma-excluir').on('click',function(e){
	let text = "Confirme para continuar\nou cancele.";
	if (confirm(text) == true) {
		text = "You pressed OK!";
	} else {
        e.stopImmediatePropagation();
        e.preventDefault();
	}
});
</script>
<?= $this->endSection() ?>